Using Drupal 7 with latest MAMP
in

After I updated my MacOS to 10.11.6 (El Capitan), older MAMP seemed stop working. So, I updated MAMP to the latest version, which is Version 4.1.

For the most part, it's working fine, but I noticed that one older Drupal 7 implementation stopped working. It caused White Screen of Death (WSOD). Upon investigation by adding the following code in index.php, I see that webform module is failing.

error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);

I eventually noticed that the latest MAMP uses PHP version 7, and list 2 version 7s. However, it has PHP 5.6 in the folder. The key to make 5.6 available is to rename one of the 7 version folder something not recognized, like adding _x, per the following page.

https://stackoverflow.com/questions/16783558/how-can-i-add-additional-ph...

After that, the Drupal 7 installation works fine. Not sure if updating modules would help, but the hosting server is still PHP 5 anyways, I didn't try to run D7 on PHP 7.

Webform version 7.x-4.12